Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Multi-Offset Feature

  1. #1
    Member
    Join Date
    2003-04
    Location
    Illinois, USA
    Posts
    46

    Lightbulb Multi-Offset Feature

    I haven't used Microstation since the summer of '99 so I am pulling this from long term memory. But when you offset an object with Microstation (called "move parallel" in MS) it repeatedly offset the selected object in the direction specified until you stopped clicking on that side. In other words, each time you clicked it would multiply the offset distance by 2x until you terminated the command, selected a different object to offset, or chose the opposite direction to offset. In either case it would restore the default distance back to the original.

    Currently with AutoCAD if you were offsetting a line you would specify the distance, select the line, and specify the side to offset. If you wanted to offset that newly created line again in the same direction you would have to select it again and click again in that direction. When I need to do this several times I will often "get punchy" and offset an object on top of the previous by clicking on the wrong side.

    To keep the "currently happy users" in their happy state I would like to have a "system variable" that would allow you to execute this multi-offset feature by default.

    With this new feature in AutoCAD you would specify the offset distance as usual, select the object to offset, select the side to offset and continue to click on that side as many times as you need objects offset. Each time AutoCAD would increase the offset distance 2x. It would have the same affect if you picked on the opposite side of the object. To select a different object you would right click or press enter/space and select a new object. To terminate the command you would right click twice, press enter/space twice or press the esc key.
    Attached Images Attached Images

  2. #2
    Wish List Manager BrenBren's Avatar
    Join Date
    2000-11
    Location
    150700
    Posts
    3,434

    Default Re: Multi-Offset Feature

    Check out the array command. Also, look into the multiple command, which will allow you to run any command more that once without re-entering the command.

    If either of these solve your problem, let us know so we can move this from the wishlist forum to the AutoCAD forum.

  3. #3
    Member
    Join Date
    2003-04
    Location
    Illinois, USA
    Posts
    46

    Cool Re: Multi-Offset Feature

    Quote Originally Posted by brenda.richardson
    Check out the array command. Also, look into the multiple command, which will allow you to run any command more that once without re-entering the command.
    Thanks for the advice. However, a rectangular array would only work if you were to offset repeatedly in the X or Y direction unless you were to rotate your UCS (which is a major pain). Also, I don't need this feature to repeat the command but to repeatedly offset the same object so you do not have to keep re-selecting the object for offset. I take it you have never used Microstation (wow a loyal ACAD user ).

    Actually what I had in mind would work a lot like the multiple option in the COPY command. After selecting the object to copy you would type "M" for "multiple" (now with 2005 multiple is now automatic) choose a base point for displacement and make as many copies as you want with each selected point of displacement.

    With OFFSET you would specify the distance, select the object to offset, and everytime you click to the side of the object AutoCAD would increase the offset distance to that side by 2x and continue to offset the originally selected object to that side with every click.

  4. #4
    100 Club CADNate's Avatar
    Join Date
    2015-12
    Location
    Lovejoy, GA.
    Posts
    125

    Default Re: Multi-Offset Feature

    Quote Originally Posted by kryptonite_186
    Thanks for the advice. However, a rectangular array would only work if you were to offset repeatedly in the X or Y direction unless you were to rotate your UCS (which is a major pain).
    .
    You can select the angle of array in the array comand.
    Last edited by CADNate; 2005-01-13 at 08:29 PM.

  5. #5
    Member rplato's Avatar
    Join Date
    2004-05
    Location
    Poolville, Texas
    Posts
    20

    Default Re: Multi-Offset Feature

    See if this helps - until the Wish List is implemented.

    Code:
    (defun C:MOFF(/)
      (if (= nil modist) (setq modist 0))
      (setq modi (strcat "\nSpecify offset distance <" (rtos modist) ">: ")
            mogt "begin"
            modis (getreal modi)
            modist modis
            moent (entsel "\nSelect object to offset or <exit>: ")
      )
      (while (/= mogt nil)
        (setq mogt (getpoint "\nSpecify point on side to offset: "))
        (command "offset" modist moent mogt "")
        (setq modist (+ modist modis))
      )
      (setq modist modis)
    )

  6. #6
    Member
    Join Date
    2003-04
    Location
    Illinois, USA
    Posts
    46

    Thumbs down Re: Multi-Offset Feature

    Quote Originally Posted by jntopper
    You can select the angle of array in the array comand.
    Thanks for the thought. However, that would be a "polar" array and would not mimic the offset command at all. Sorry but the ARRAY command just would not be a good alternative.

  7. #7
    Member
    Join Date
    2003-04
    Location
    Illinois, USA
    Posts
    46

    Thumbs up Re: Multi-Offset Feature

    Quote Originally Posted by rplato
    See if this helps - until the Wish List is implemented.
    Splendid!! That emulates Microstation's offset ability pretty closely too. Nice coding also.

    This lisp file (courtesy of rplato - hope you don't mind ) is a great start and would give you all a good feel for what I was talking about. Please try it out yourself (appload the file w/ autocad and try offsetting a line repeatedly).
    Attached Files Attached Files

  8. #8
    Wish List Manager BrenBren's Avatar
    Join Date
    2000-11
    Location
    150700
    Posts
    3,434

    Default Re: Multi-Offset Feature

    Just for the record (I know it isn't what you are looking for), but you can select the angle in a rectangular array in 2005.

    Sorry for the zip file, but I am having problems uploading images. Off to the forum feedback site with that little tidbit
    Attached Files Attached Files

  9. #9
    Member
    Join Date
    2003-04
    Location
    Illinois, USA
    Posts
    46

    Talking Re: Multi-Offset Feature

    Quote Originally Posted by brenda.richardson
    Just for the record (I know it isn't what you are looking for), but you can select the angle in a rectangular array in 2005.
    My bad. Thanks for pointing that out me brenda. And yes you are right, thats not what I am looking for, but I still appreciate you correcting me on that anyway.

  10. #10
    100 Club
    Join Date
    2000-11
    Location
    Adelaide, South Australia
    Posts
    116

    Default Re: Multi-Offset Feature

    Quote Originally Posted by brenda.richardson
    Just for the record (I know it isn't what you are looking for), but you can select the angle in a rectangular array in 2005.

    Sorry for the zip file, but I am having problems uploading images. Off to the forum feedback site with that little tidbit
    The difference with the commands is that array produces an exact replica whereas offset changes the geometry accordingly. Array can only duplicate offset in very simple circumstances.
    Regards - Nathan

Page 1 of 2 12 LastLast

Similar Threads

  1. Dynamically link feature lines created via stepped offset.
    By civil3d.wishlist1941 in forum Civil 3D Wish List
    Replies: 5
    Last Post: 2015-12-05, 07:39 PM
  2. Offset feature line to surface
    By Wish List System in forum Civil 3D Wish List
    Replies: 1
    Last Post: 2012-06-12, 05:47 PM
  3. Connectors offset when creating multi-view parts?
    By tuan2vu in forum AMEP General
    Replies: 1
    Last Post: 2011-05-03, 09:21 PM
  4. Why does Stepped Offset not work on only one of my feature lines?
    By m.vanitallie in forum AutoCAD Civil 3D - Grading
    Replies: 2
    Last Post: 2008-06-06, 05:39 PM
  5. Coping Offset Feature in Frame Generator
    By inventor.wishlist1738 in forum Inventor Wish List
    Replies: 0
    Last Post: 2008-01-14, 10:58 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •